post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to initiate a discovery scan for a device. Account and device name as mandatory inputs for this method. To initiate a discovery scan, we must create a discovery config for the network scanner device. The "targets" field value must be passed for initiating an immediate discovery scan.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| targets | Target IP addresses for discovery scan | Yes | array |
| devicename | Name of the network scanner device | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.NetworkScanner.discoveryScan(
account="Demo Account",
devicename="endpoint_device",
targets=["172.28.0.11"]
)
print(response)
client.close()Requires Python 3.9 or later.